---
title: FileSystemEntry.fullPath
slug: Web/API/FileSystemEntry/fullPath
tags:
  - API
  - File System API
  - File and Directory Entries API
  - FileSystemEntry
  - Files
  - Non-standard
  - Offline
  - Property
  - Reference
  - fullPath
---
<p>{{APIRef("File System API")}}{{SeeCompatTable}}</p>

<p><span class="seoSummary">The read-only <strong><code>fullPath</code></strong> property of the {{domxref("FileSystemEntry")}} interface returns a {{domxref("USVString")}} specifying the full, absolute path from the file system's root to the file represented by the entry.</span></p>

<p>This can also be thought of as a path which is relative to the root directory, with a "/" prepended to it to make it absolute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>fullPath</em> = <em>FileSystemEntry</em>.fullPath;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("USVString")}} indicating the entry's full path.</p>

<h2 id="Example">Example</h2>

<p>This example shows a function which is called with a file system; it then gets a {{domxref("FileSystemFileEntry")}} for a file named <code>data.json</code> and returns its full path.</p>

<pre class="brush: js">function gotFileSystem(fs) {
  let path = "";

  fs.root.getFile("data.json", { create: true, exclusive: true }, function(entry) {
    path = fullPath;
  }, handleError(error));

  return path;
}
</pre>

<p>Obviously, this is somewhat contrived, since we know that the file's full path is <code>"/data.json"</code>, having just looked it up ourselves, but the concept holds up for scenarios in which you don't know it.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('File System API', '#dom-filesystementry-fullpath', 'fullPath') }}</td>
   <td>{{ Spec2('File System API') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<p>This API has no official W3C or WHATWG specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemEntry.fullPath")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API">File and Directory Entries API</a></li>
 <li><a href="/en-US/docs/Web/API/File_and_Directory_Entries_API/Introduction">Introduction to the File System API</a></li>
 <li>{{domxref("FileSystemEntry")}}</li>
</ul>
